#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>
#include <signal.h>
#include <sys/socket.h>

#define MAXFIFONAME 32
#define FIFOPREFIX "/tmp/cpur."

void getFIFOs(int *fdOut, int *fdErr, pid_t pid);
int getFIFO(char *filename);
void readFIFOs(int fdOut, int fdErr);
void removeFIFOs(pid_t pid);
void removeFIFO(char *filename);
void setupClientFIFOs();
