#include "TrafficLightPage.h"
#include "CPUReserve.h"

void TrafficLightPage::generateVars()
{
	stringstream cpusOn, cpusOff;
	CPUReserve cpur(PORT);

	if (!cpur.updateStatus())
		exit(1);

	for (int i = 1; i < cpur.getNumberOfCPUs(); i++) {
		cpusOn  << "&cpu" << i << "=1";
		cpusOff << "&cpu" << i << "=0";
	}

	setVar("CPUS_ON", cpusOn.str());
	setVar("CPUS_OFF", cpusOff.str());
}
