/*******************************************************************************
 * 
 * Arquivo que transforma processos de compartilhamento de tempo em processos 
 * de tempo real.
 *
 ******************************************************************************/
#ifndef RT_H
#define RT_H

#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif

#include<unistd.h>
#include<stdio.h>
#include<sys/types.h>
#include<errno.h>
#include<stdlib.h>
#include<sys/time.h>
#include<sys/resource.h>
#include<sys/wait.h>
#include<sched.h>
#include <bits/xopen_lim.h>

#include "lists.h"
#include "fifo.h"

pid_t createProcess(char *command, char *params[]);
void changeNice(int value, pid_t pid);
void changeClientPrio(pid_t pid);
void changeServerPrio();
int setProcessAffinity(pid_t pid);

#endif
