////////////////////////////////////////////////////////////////////////////////////////////
// Project: NCC InteGrade Interface                           //
// Developed by: Giulian Dalton Luz & Rogerio Guaraci dos Santos              //
// Date: 8/12/2003                                    //
// Version: Beta 1                                    //
// Module Description: ServerSocket.h. Definitions of socket server.                  //
////////////////////////////////////////////////////////////////////////////////////////////

#ifndef ServerSocket_class
#define ServerSocket_class

#include "Socket.h"

class ServerSocket
{
	private:
		Socket socket;

	public:

		ServerSocket ( int port );

		const ServerSocket& operator << ( const std::string& ) const;
		const ServerSocket& operator >> ( std::string& ) const;

		void accept();
		void close();
		void closeSocket();
};
#endif
