////////////////////////////////////////////////////////////////////////////////////////////
// Project: NCC InteGrade Interface							  //
// Developed by: Giulian Dalton Luz & Rogerio Guaraci dos Santos			  //
// Date: 8/12/2003									  //
// Version: Beta 1									  //
// Module Description: SocketException.h. Thats the socket exception class.	          //
////////////////////////////////////////////////////////////////////////////////////////////

#ifndef SocketException_class
#define SocketException_class

#include <string>

class SocketException
{
	public:
		SocketException ( std::string s ) : m_s ( s ) {};
		~SocketException (){};

		std::string description() { return m_s; }

	private:

		std::string m_s;

};
#endif
